/*****************************************************/
/*          This java file is a part of the          */
/*                                                   */
/*           -  Plouf's Java IRC Client  -           */
/*                                                   */
/*   Copyright (C)  2002 - 2003 Philippe Detournay   */
/*                                                   */
/*         All contacts : theplouf@yahoo.com         */
/*                                                   */
/*  PJIRC is free software; you can redistribute     */
/*  it and/or modify it under the terms of the GNU   */
/*  General Public License as published by the       */
/*  Free Software Foundation; version 2 or later of  */
/*  the License.                                     */
/*                                                   */
/*  PJIRC is distributed in the hope that it will    */
/*  be useful, but WITHOUT ANY WARRANTY; without     */
/*  even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   */
/*  General Public License for more details.         */
/*                                                   */
/*  You should have received a copy of the GNU       */
/*  General Public License along with PJIRC; if      */
/*  not, write to the Free Software Foundation,      */
/*  Inc., 59 Temple Place, Suite 330, Boston,        */
/*  MA  02111-1307  USA                              */
/*                                                   */
/*****************************************************/

package irc;

/**
 * A null CTCPFilter. This filter does nothing.
 */
public class NullCTCPFilter implements CTCPFilter
{
  /**
   * Create a new NullCTCPFilter.
   */
  public NullCTCPFilter()
  {
  }

  public void perform(String nick,Source source,String msg)
  {
  }

  public void action(Server s,String destination,String msg)
  {
  }

  public void ping(Server s,String nick)
  {
  }

  public void chat(Server s,String nick)
  {
  }

  public void sendFile(Server s,String nick,String file)
  {
  }

  public void genericSend(Server s,String nick,String message)
  {
  }

  public void CTCPReply(String nick,Source source,String msg)
  {
  }
}

