/*****************************************************/
/*          This java file is a part of the          */
/*                                                   */
/*           -  Plouf's Java IRC Client  -           */
/*                                                   */
/*   Copyright (C)  2002 - 2003 Philippe Detournay   */
/*                                                   */
/*         All contacts : theplouf@yahoo.com         */
/*                                                   */
/*  PJIRC is free software; you can redistribute     */
/*  it and/or modify it under the terms of the GNU   */
/*  General Public License as published by the       */
/*  Free Software Foundation; version 2 or later of  */
/*  the License.                                     */
/*                                                   */
/*  PJIRC is distributed in the hope that it will    */
/*  be useful, but WITHOUT ANY WARRANTY; without     */
/*  even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   */
/*  General Public License for more details.         */
/*                                                   */
/*  You should have received a copy of the GNU       */
/*  General Public License along with PJIRC; if      */
/*  not, write to the Free Software Foundation,      */
/*  Inc., 59 Temple Place, Suite 330, Boston,        */
/*  MA  02111-1307  USA                              */
/*                                                   */
/*****************************************************/

package irc.gui.pixx;

import irc.gui.*;

/**
 * The listener on the multiple document interface.
 */
public interface PixxMDIInterfaceListener
{
  /**
   * The active source has changed.
   * @param source the new active source.
   * @param mdi the mdi.
   */
  public void activeChanged(AWTSource source,PixxMDIInterface mdi);

  /**
   * The connect button has been triggered.
   * @param mdi the mdi.
   */
  public void connectTriggered(PixxMDIInterface mdi);

  /**
   * The about button has been triggered.
   * @param mdi the mdi.
   */
  public void aboutTriggered(PixxMDIInterface mdi);

  /**
   * The help button has been triggered.
   * @param mdi the mdi.
   */
  public void helpTriggered(PixxMDIInterface mdi);
}

