/*****************************************************/
/*          This java file is a part of the          */
/*                                                   */
/*           -  Plouf's Java IRC Client  -           */
/*                                                   */
/*   Copyright (C)  2002 - 2003 Philippe Detournay   */
/*                                                   */
/*         All contacts : theplouf@yahoo.com         */
/*                                                   */
/*  PJIRC is free software; you can redistribute     */
/*  it and/or modify it under the terms of the GNU   */
/*  General Public License as published by the       */
/*  Free Software Foundation; version 2 or later of  */
/*  the License.                                     */
/*                                                   */
/*  PJIRC is distributed in the hope that it will    */
/*  be useful, but WITHOUT ANY WARRANTY; without     */
/*  even the implied warranty of MERCHANTABILITY or  */
/*  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU   */
/*  General Public License for more details.         */
/*                                                   */
/*  You should have received a copy of the GNU       */
/*  General Public License along with PJIRC; if      */
/*  not, write to the Free Software Foundation,      */
/*  Inc., 59 Temple Place, Suite 330, Boston,        */
/*  MA  02111-1307  USA                              */
/*                                                   */
/*****************************************************/

package irc.style;

/**
 * Recognizer for list of words.
 */
public class WordListRecognizer implements WordRecognizer
{
  private String[] _list;

  /**
   * Create a new WordListRecognizer.
   */
  public WordListRecognizer()
  {
    setList(new String[0]);
  }

  /**
   * Set the list of words to recognize.
   * @param list the list of words.
   */
  public void setList(String[] list)
  {
    _list=new String[list.length];
    for(int i=0;i<list.length;i++) _list[i]=list[i].toLowerCase();
  }

  public boolean recognize(String word)
  {
    String lcase=word.toLowerCase();
    for(int i=0;i<_list.length;i++) if(lcase.equals(_list[i])) return true;
    return false;
  }

  public String getType()
  {
    return "wordlist";
  }

}

